CREATE TABLE SE_SEARCH_TYPE (
   ID integer  NOT NULL,
   NAME varchar2(50)  NOT NULL,
   AGENT_ID integer  NOT NULL,
   MODIFIED_ON date  NOT NULL,
   ACTION char(1)  NULL,
   DIFF_COLUMN varchar2(30)  NULL,
   OLD_VALUE varchar2(100)  NULL,
   NEW_VALUE varchar2(100)  NULL,
   HISTORY_ID integer GENERATED BY DEFAULT ON NULL AS IDENTITY  NOT NULL,
   CONSTRAINT SE_SEARCH_TYPE_pk PRIMARY KEY (HISTORY_ID)
) ;

CREATE TABLE SE_SEARCH (
   ID integer  NOT NULL,
   MEMBER_ID integer   NOT NULL,
   NAME varchar2(100)  NOT NULL,
   TYPE_ID integer  NOT NULL,
   FILTER clob  NULL,
   ITEMS_PER_PAGE integer  NOT NULL,
   SORT_BY varchar2(50)  NULL,
   SORT_DESC char(1) NULL,
   RESULTS_HEADERS clob  NOT NULL,
   AGENT_ID integer  NOT NULL,
   MODIFIED_ON date  NOT NULL,
   ACTION char(1)  NULL,
   DIFF_COLUMN varchar2(30)  NULL,
   OLD_VALUE varchar2(100)  NULL,
   NEW_VALUE varchar2(100)  NULL,
   HISTORY_ID integer GENERATED BY DEFAULT ON NULL AS IDENTITY  NOT NULL,
   CONSTRAINT SE_SEARCH_pk PRIMARY KEY (HISTORY_ID)
) ;

GRANT ALL ON SE_SEARCH_TYPE TO {{ SCHEMA_NAME }};
GRANT ALL ON SE_SEARCH TO {{ SCHEMA_NAME }};